# Uses of Interface
org.eclipse.birt.report.engine.extension.IReportItemGenerationInfo

Packages that use IReportItemGenerationInfo
Package
Description
org.eclipse.birt.report.engine.extension
This package defines 3 key interfaces ---- IReportItemQuery, IReportItemGeneration, and IReportItemPresentation ---- that are used to process an extended item at query preparation, report generation and report rendering times.

## Uses of IReportItemGenerationInfo in org.eclipse.birt.report.engine.extension

Methods in org.eclipse.birt.report.engine.extension that return IReportItemGenerationInfo
Modifier and Type
Method
Description
`IReportItemGenerationInfo`
IReportItemGeneration.`getGenerationConfig()`
Methods in org.eclipse.birt.report.engine.extension with parameters of type IReportItemGenerationInfo
Modifier and Type
Method
Description
`void`
IReportItemGeneration.`init(IReportItemGenerationInfo info)`